IBM Support

Starting IBM Software Delivery products results in a "Widget disposed too early!" and "SWTError: XPCOM error -2147467262" in the .log file

Technote (troubleshooting)


Problem(Abstract)

Attempts to start IBM Software Delivery products such as IBM Rational Software Architect (RSA) lead to the error "java.lang.RuntimeException: Widget disposed too early!" and "org.eclipse.swt.SWTError: XPCOM error -2147467262" exceptions in the workspace .log.

Symptom

After selecting the workspace from the Workspace Launcher and before the loading of the workbench finishes, Rational Software Architect for Websphere, Rational Software Architect Standard Edition or IBM Rational Software Modeler disappears.

Looking at the.log file of the .metadata of the workspace, you can see the following entries:


!ENTRY org.eclipse.ui.workbench 4 0 2009-10-30 17:17:12.996
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
at org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisposed(Unknown Source)
...
!ENTRY org.eclipse.osgi 4 0 2009-10-30 17:17:13.096
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: XPCOM error -2147467262
at org.eclipse.swt.browser.Mozilla.error(Unknown Source)
at org.eclipse.swt.browser.Mozilla.setText(Unknown Source)
at org.eclipse.swt.browser.Browser.setText(Unknown Source)

Cause

When IBM Rational Software Architect for WebSphere (RSA 4 WS), IBM Rational Software Architect Standard Edition (RSA SE) or IBM Rational Software Modeler (RSM) starts, it will try to load the Welcome Page. It therefore needs to know how to find the system web browser information

Resolving the problem

SOLUTION


Add the following entry in the file called eclipse.ini , for example in /opt/IBM/SDP/eclipse.ini:


-Dorg.eclipse.swt.browser.XULRunnerPath=<path_to_xulrunner_dir>/xulrunner


where, for example, the path could be usr/lib/xulrunner-1.9/xulrunner


Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational Software Architect for WebSphere Software Installation Linux 7.5.3, 7.5.4
Software Development Rational Software Modeler Installation Linux 7.5.3, 7.5.4

Document information

More support for: Rational Software Architect Standard Edition
Installation

Software version: 7.5.3, 7.5.4

Operating system(s): Linux

Reference #: 1409186

Modified date: 19 April 2010


Translate this page: